星期四, 10月 25, 2012

ubuntu 12.04 ia32-libs 無法安裝

約莫半年前,我的桌機從 11.10 升級到 12.04 precise 以後,就沒辦法安裝 ia32-libs,這問題一直卡關,卡到現在才找到解。
安裝的時候,apt 會告訴你:
  • ia32-libs 相依於 ia32-libs-multiarch
  • ia32-libs-multiarch 相依於 bluez-alsa:i386
  • bluez-alsa:i386 相依於 bluez:i386
  • bluez:i386 相依於 python-dbus-dev:i386
  • 族繁不及備載...bala...bala...
有發現有人提報了這個問題,也有人貼到討論區上討論,但是都沒解。
其實主要問題是卡在 bluez 上面,後來用 bluez:i386 ia32-libs-multiarch 這幾個關鍵字去找,就找到:Solving ia32-libs installation problem in Ubuntu 12.04 precise pangolin ,然後就照著他的方法去做,順利解決了問題。
他的方法是這樣子的:
  1. 移除 ia32-libs 跟 bluez 等相關套件:sudo apt-get remove bluez ia32-libs
  2. 安裝 ia32-libs-multiarch:i386 :sudo apt-get install ia32-libs-multiarch:i386
  3. 安裝 ia32-libs :sudo apt-get install ia32-libs
是故,現在可以用 google earth,也可以編譯 Android 4.x 了。

沒有留言:

您或許對這些文章有興趣

Related Posts Plugin for WordPress, Blogger...